Docs
API 1.39
Status
Sessions

Run the validity probe

POST /v1/sessions/{id}/verify: Run the validity probe

POST /v1/sessions/{id}/verify
Operation idverifySession
Key scoperun: keys that run jobs (and admin keys)
SectionSessions

#Parameters

NameInTypeRequiredDescription
idpathstringyesmin length 1

#Example request

curl -X POST "https://api.kaab.ist/v1/sessions/{id}/verify" \
  -H "Authorization: Bearer $KAAB_API_KEY"

#Responses

#200

Probe result

FieldTypeRequiredDescription
status"valid", "expired", "unknown"yes
checked_atstring (date-time)yes

#Errors

Every error answers with the error envelope; its code is one of the error codes.

StatusWhen
400request_invalid: request validation failed
401Missing or invalid API key
402insufficient_credits: top up to continue
403The key's scope does not cover this operation
404Resource not found
409Conflicting state (see error.code)
422Semantically invalid request (see error.code)
429Rate limited; see Retry-After
500internal: unexpected server error

Was this page helpful?